- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO::Portable_Server::RequestProcessingStrategyFactory Class Reference

`#include <RequestProcessingStrategyFactory.h>`

Inheritance diagram for TAO::Portable_Server::RequestProcessingStrategyFactory:

[legend]
Collaboration diagram for TAO::Portable_Server::RequestProcessingStrategyFactory:

[legend]
List of all members.

## Public Member Functions
virtual RequestProcessingStrategy * | create (::PortableServer::RequestProcessingPolicyValue value,::PortableServer::ServantRetentionPolicyValue srvalue)=0
| Create a new servant retention strategy.
virtual void | destroy (RequestProcessingStrategy *strategy)=0

## Member Function Documentation

virtual RequestProcessingStrategy* TAO::Portable_Server::RequestProcessingStrategyFactory::create | ( | ::PortableServer::RequestProcessingPolicyValue | value,
|  | ::PortableServer::ServantRetentionPolicyValue | srvalue |
| ) |  |  | `[pure virtual]`

Create a new servant retention strategy.

Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnlyFactoryImpl, TAO::Portable_Server::RequestProcessingStrategyDefaultServantFactoryImpl, TAO::Portable_Server::RequestProcessingStrategyFactoryImpl, TAO::Portable_Server::RequestProcessingStrategyServantActivatorFactoryImpl, and TAO::Portable_Server::RequestProcessingStrategyServantLocatorFactoryImpl.

virtual void TAO::Portable_Server::RequestProcessingStrategyFactory::destroy | ( | RequestProcessingStrategy * | strategy | ) | `[pure virtual]`

Implemented in TAO::Portable_Server::RequestProcessingStrategyAOMOnlyFactoryImpl, TAO::Portable_Server::RequestProcessingStrategyDefaultServantFactoryImpl, TAO::Portable_Server::RequestProcessingStrategyFactoryImpl, TAO::Portable_Server::RequestProcessingStrategyServantActivatorFactoryImpl, and TAO::Portable_Server::RequestProcessingStrategyServantLocatorFactoryImpl.

The documentation for this class was generated from the following file:

- RequestProcessingStrategyFactory.h